/*
*******************************************************************************
**
**  This device driver was created by Applilet for the 78K0S/KB1+, 78K0S/KA1+,
**  78K0S/KY1+ 8-Bit Single-Chip Microcontrollers.
**
**  Copyright(C) NEC Electronics Corporation 2002-2004
**  All rights reserved by NEC Electronics Corporation.
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	ad.h
**  Abstract :	This file implements device driver for AD module.
**  APIlib :	NEC78K0SKX1H.lib E1.46a [13 May 2005]
**
**  Device :	uPD78F9222
**
**  Compiler :	NEC/CC78K0
**
*******************************************************************************
*/
#ifndef	_MDAD_
#define	_MDAD_
/*
*******************************************************************************
**  MacroDefine
*******************************************************************************
*/
enum ADChannel { ADChannel0, ADChannel1, ADChannel2, ADChannel3 };

void AD_Init( void );
MD_STATUS AD_Start( enum ADChannel channel );
MD_STATUS AD_Read( USHORT* buffer );
MD_STATUS AD_Stop( void );

#endif
